GEOS: geos::operation::relate::EdgeEndBundleStar Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::operation::relate::EdgeEndBundleStar Class Reference

An ordered list of EdgeEndBundle objects around a RelateNode. More...

`#include <EdgeEndBundleStar.h>`

Inheritance diagram for geos::operation::relate::EdgeEndBundleStar:

## Public Member Functions
| EdgeEndBundleStar ()
| Creates a new empty EdgeEndBundleStar.
void | insert (geomgraph::EdgeEnd *e)
| Insert a EdgeEnd into this EdgeEndStar.
void | updateIM (geom::IntersectionMatrix *im)
Public Member Functions inherited from geos::geomgraph::EdgeEndStar
virtual geom::Coordinate & | getCoordinate ()
virtual std::size_t | getDegree ()
virtual iterator | begin ()
virtual iterator | end ()
virtual reverse_iterator | rbegin ()
virtual reverse_iterator | rend ()
virtual container & | getEdges ()
virtual EdgeEnd * | getNextCW (EdgeEnd *ee)
virtual void | computeLabelling (std::vector< GeometryGraph * > *geomGraph)
virtual bool | isAreaLabelsConsistent (const GeometryGraph &geomGraph)
virtual void | propagateSideLabels (int geomIndex)
virtual iterator | find (EdgeEnd *eSearch)
virtual std::string | print ()

## Additional Inherited Members
Public Types inherited from geos::geomgraph::EdgeEndStar
typedef std::set< EdgeEnd *, EdgeEndLT > | container
typedef container::iterator | iterator
typedef container::reverse_iterator | reverse_iterator
Protected Member Functions inherited from geos::geomgraph::EdgeEndStar
virtual void | insertEdgeEnd (EdgeEnd *e)
| Insert an EdgeEnd into the map.
Protected Attributes inherited from geos::geomgraph::EdgeEndStar
EdgeEndStar::container | edgeMap
| A map which maintains the edges in sorted order around the node.

## Detailed Description

An ordered list of EdgeEndBundle objects around a RelateNode.

They are maintained in CCW order (starting with the positive x-axis) around the node for efficient lookup and topology building.

The documentation for this class was generated from the following file:

- EdgeEndBundleStar.h